VisimBox 1.0 VisimBox 3d simulation and visualisation ToolBox

- Main Page
- Packages
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
VisiMath.Collisions.PlanarDivider Class Reference

Generic plane divider with simple plane (like in BinarySpace portioning) Objects is deemeed inside if it is in the negative halfspace or intersects the plane. More...

Inheritance diagram for VisiMath.Collisions.PlanarDivider:

List of all members.

## Public Member Functions
| PlanarDivider (Vector3 normal, float distance)
| Creates planar divider from plane equation.
| PlanarDivider (Vector3 pos1, Vector3 pos2, Vector3 pos3)
| Creates planar divider from three points on the plane. Points should be in CLOCKWISE order.
override bool | IsFullyInside (AABox box)
| Returns true if AA box is fully inside halfspace.
override bool | IsInside (AABox box)
| Returns true if AA box is at least partialy inside halfspace.
override bool | IsFullyInside (Sphere sph)
| Returns true if sphere is fully inside halfspace.
override bool | IsInside (Sphere sph)
| Returns true if sphere is at least partialy inside halfspace.
override bool | IsInside (Vector3 point)
| Returns true if point is inside halfspace.
override bool | IsFullyInside (IConvexObject convex)
| Returns true if generic convex object is fully inside halfspace.
override bool | IsInside (IConvexObject convex)
| Returns true if generic convex object is at least partialy inside halfspace.

## Detailed Description

Generic plane divider with simple plane (like in BinarySpace portioning) Objects is deemeed inside if it is in the negative halfspace or intersects the plane.

## Constructor & Destructor Documentation

VisiMath.Collisions.PlanarDivider.PlanarDivider | ( | Vector3 | normal,
|  | float | distance
| ) |  |

Creates planar divider from plane equation.

Parameters:

  normal | Normal of the plane
  distance | Distance from origin

VisiMath.Collisions.PlanarDivider.PlanarDivider | ( | Vector3 | pos1,
|  | Vector3 | pos2,
|  | Vector3 | pos3
| ) |  |

Creates planar divider from three points on the plane. Points should be in CLOCKWISE order.

Parameters:

  pos1 | Pos1
  pos2 | Pos2
  pos3 | Pos3

## Member Function Documentation

override bool VisiMath.Collisions.PlanarDivider.IsFullyInside | ( | AABox | box | ) | `[virtual]`

Returns true if AA box is fully inside halfspace.

Parameters:

  box | AA box

Returns:
  True if inside

Implements VisiMath.Collisions.BaseSpatialDivider.

override bool VisiMath.Collisions.PlanarDivider.IsFullyInside | ( | Sphere | sph | ) | `[virtual]`

Returns true if sphere is fully inside halfspace.

Parameters:

  sph | SPhere

Returns:
  True if inside

Implements VisiMath.Collisions.BaseSpatialDivider.

override bool VisiMath.Collisions.PlanarDivider.IsFullyInside | ( | IConvexObject | convex | ) | `[virtual]`

Returns true if generic convex object is fully inside halfspace.

Parameters:

  convex | Convex object

Returns:
  True if inside

Implements VisiMath.Collisions.BaseSpatialDivider.

override bool VisiMath.Collisions.PlanarDivider.IsInside | ( | Vector3 | point | ) | `[virtual]`

Returns true if point is inside halfspace.

Parameters:

  point | point

Returns:
  True if inside

Implements VisiMath.Collisions.BaseSpatialDivider.

override bool VisiMath.Collisions.PlanarDivider.IsInside | ( | Sphere | sph | ) | `[virtual]`

Returns true if sphere is at least partialy inside halfspace.

Parameters:

  sph | SPhere

Returns:
  True if inside

Implements VisiMath.Collisions.BaseSpatialDivider.

override bool VisiMath.Collisions.PlanarDivider.IsInside | ( | IConvexObject | convex | ) | `[virtual]`

Returns true if generic convex object is at least partialy inside halfspace.

Parameters:

  convex | Convex object

Returns:
  True if inside

Implements VisiMath.Collisions.BaseSpatialDivider.

override bool VisiMath.Collisions.PlanarDivider.IsInside | ( | AABox | box | ) | `[virtual]`

Returns true if AA box is at least partialy inside halfspace.

Parameters:

  box | AA box

Returns:
  True if inside

Implements VisiMath.Collisions.BaseSpatialDivider.

The documentation for this class was generated from the following file:

- SpatialDivider.cs

All Classes Namespaces Files Functions Variables Enumerations Properties Events